Show / Hide Table of Contents

# Interface IActivity

A user's activity status, typically a Game.

###### Namespace: Discord

###### Assembly: Discord.Net.Core.dll

##### Syntax

    public interface IActivity

### Properties

| Improve this Doc View Source

#### Details

Gets the details on what the player is currently doing.

##### Declaration

    string Details { get; }

##### Property Value

Type | Description
--- | ---
System.String | A string describing what the player is doing.

| Improve this Doc View Source

#### Flags

Gets the flags that are relevant to this activity.

##### Declaration

    ActivityProperties Flags { get; }

##### Property Value

Type | Description
--- | ---
ActivityProperties | The value of flags for this activity.

##### Remarks

This value is determined by bitwise OR-ing ActivityProperties values together.

| Improve this Doc View Source

#### Name

Gets the name of the activity.

##### Declaration

    string Name { get; }

##### Property Value

Type | Description
--- | ---
System.String | A string containing the name of the activity that the user is doing.

| Improve this Doc View Source

#### Type

Gets the type of the activity.

##### Declaration

    ActivityType Type { get; }

##### Property Value

Type | Description
--- | ---
ActivityType | The type of activity.